UVE support for vcenter manager

Bug #1780422 reported by Krzysztof Gromadzki on 2018-07-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
Undecided
Adrian Szczepański
Trunk
Fix Committed
Undecided
Adrian Szczepański
OpenContrail
New
Undecided
Unassigned

Bug Description

UVE support for vcenter manager

Review in progress for https://review.opencontrail.org/44407
Submitter: Krzysztof Gromadzki (<email address hidden>)

Review in progress for https://review.opencontrail.org/44452
Submitter: Adrian Szczepanski (<email address hidden>)

Review in progress for https://review.opencontrail.org/44407
Submitter: Adrian Szczepanski (<email address hidden>)

Review in progress for https://review.opencontrail.org/44452
Submitter: Adrian Szczepanski (<email address hidden>)

Jeba Paulaiyan (jebap) on 2018-07-09
tags: added: beta-blocker vmware

Review in progress for https://review.opencontrail.org/44407
Submitter: Adrian Szczepanski (<email address hidden>)

Review in progress for https://review.opencontrail.org/44452
Submitter: Adrian Szczepanski (<email address hidden>)

Reviewed: https://review.opencontrail.org/44452
Committed: http://github.com/Juniper/contrail-vcenter-manager/commit/482782aad1a302c560b41362ae97c93bcb30f823
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 482782aad1a302c560b41362ae97c93bcb30f823
Author: Krzysztof Gromadzki <email address hidden>
Date: Fri Jul 6 12:54:58 2018 +0200

Add UVE Support

Change-Id: Idb89539d50ea367b2e4485c80900da1347ce1f6d
Partial-Bug: #1780422
Depends-On: Ib7f21daa53e78264ed47f46cdf2fc953723f30ba
Depends-On: I6013a1f8ff2a219ee4fd5d948181cb178f846618

Reviewed: https://review.opencontrail.org/44407
Committed: http://github.com/Juniper/contrail-vcenter-manager/commit/d614b8a1119de1868b60a23ff653226a759d551a
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit d614b8a1119de1868b60a23ff653226a759d551a
Author: Krzysztof Gromadzki <email address hidden>
Date: Fri Jul 6 12:54:58 2018 +0200

Add UVE Support

Change-Id: Idb89539d50ea367b2e4485c80900da1347ce1f6d
Partial-Bug: #1780422
Depends-On: Ib7f21daa53e78264ed47f46cdf2fc953723f30ba
Depends-On: I6013a1f8ff2a219ee4fd5d948181cb178f846618

Review in progress for https://review.opencontrail.org/44747
Submitter: Krzysztof Gromadzki (<email address hidden>)

Review in progress for https://review.opencontrail.org/44748
Submitter: Krzysztof Gromadzki (<email address hidden>)

Reviewed: https://review.opencontrail.org/44748
Committed: http://github.com/Juniper/contrail-vcenter-manager/commit/d2aeaeb1f6e4e44dc49fcd2e70c87b868a0d672c
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit d2aeaeb1f6e4e44dc49fcd2e70c87b868a0d672c
Author: Krzysztof Gromadzki <email address hidden>
Date: Wed Jul 18 17:00:27 2018 +0200

Passing UVE collectors in proper way

Change-Id: I068b2f8dbdea048d4647be54a340abea5ec1734c
Partial-Bug: #1780422

Reviewed: https://review.opencontrail.org/44747
Committed: http://github.com/Juniper/contrail-vcenter-manager/commit/6d99f12368dd521e6bdf0153b4593f241cf8b64a
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 6d99f12368dd521e6bdf0153b4593f241cf8b64a
Author: Krzysztof Gromadzki <email address hidden>
Date: Wed Jul 18 17:00:27 2018 +0200

Passing UVE collectors in proper way

Change-Id: I068b2f8dbdea048d4647be54a340abea5ec1734c
Partial-Bug: #1780422

Download full text (3.3 KiB)

Hi Sandip,
I pulled in the docker image:
contrail-test-test:master-221

And followed the steps for single sanity test case run.
I’m getting the following error:

ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)

----------------------------------------------------------------------

Traceback (most recent call last):

  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass

    super(TestBasicVMVN, cls).setUpClass()

  File "scripts/vm_regression/base.py", line 12, in setUpClass

    super(BaseVnVmTest, cls).setUpClass()

  File "test_v1.py", line 13, in setUpClass

    super(BaseTestCase_v1, cls).setUpClass()

  File "test.py", line 79, in setUpClass

    cls.inputs = ContrailTestInit(cls.input_file,logger = cls.logger)

  File "common/contrail_test_init.py", line 853, in __init__

    self.inputs = TestInputs(input_file, self.logger)

  File "tcutils/util.py", line 997, in __call__

    Singleton, cls).__call__(*args, **kwargs)

  File "common/contrail_test_init.py", line 102, in __init__

    self.parse_yml_file()

  File "common/contrail_test_init.py", line 589, in parse_yml_file

    self.vcenter_dc = _parse_vcenter.vcenter_dc

  File "common/contrail_test_init.py", line 1466, in vcenter_dc

Test container is spawned on 10.84.16.10.

/root/contrail-ansible-deployer has the contrail_test_input.yml and vcenter_vars.yml

Thanks,

Ram

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 14, 2018 at 4:31 PM
To: Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>
Subject: steps to run sanity on vCenter local setup's

Hello,

Below is the instruction to run sanity

1.wget https://github.com/Juniper/contrail-test/raw/master/testrunner.sh
2.docker pull 10.204.217.152:5000/contrail-test-test:ocata-5.0-<build-id>
3../testrunner.sh run -s -P contrail_test_input.yml,vcenter_vars.yml 10.204.217.152:5000/contrail-test-test:ocata-5.0-<build-id>
4.cd contrail-test
5.export TEST_CONFIG_FILE=contrail_test_input_useit.yaml
6./run_tests.sh -T venter --send-mail -

To run a single test case
1.wget https://github.com/Juniper/contrail-test/raw/master/testrunner.sh
2.docker pull 10.204.217.152:5000/contrail-test-test:ocata-5.0-<build-id>
3../testrunner.sh run -s -P contrail_test_input.yml,vcenter_vars.yml 10.204.217.152:5000/contrail-test-test:ocata-5.0-<build-id>
4.cd contrail-test
5.export PYTHONPATH=$PATH:$PWD:$PWD/fixtures:$PWD/scripts
6.export TEST_CONFIG_FILE=contrail_test_input_useit.yaml
7.python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn

Docker pull needs to be done on ci-repo.englab.juniper.net or local repo as mentioned in the above step which is Bangalore local repo.

Apart from this you will need set of vmdk file whi...

Read more...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (6.8 KiB)

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[root@10.84.16.10] out: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
[root@10.84.16.10] out:

[root@10.84.16.10] sudo: systemctl start nfs-server.service
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 38, in setUpClass
    cls.admin_isolated_creds.setUp()
  File "common/isolated_creds.py", line 132, in setUp
    password=self.password)
  File "common/connections.py", line 68, in __init__
    self.vnc_lib = self.get_vnc_lib_h()
  File "common/connections.py", line 167, in get_vnc_lib_h
    env[attr].setUp()
  File "/contrail-test/fixtures/vnc_api_test.py", line 113, in setUp
    if self.orch:
  File "/contrail-test/fixtures/vnc_api_test.py", line 178, in orch
    self._orch = self.get_orch_h()
  File "/contrail-test/fixtures/vnc_api_test.py", line 201, in get_orch_h
    logger=self.logger)
  File "/contrail-test/fixtures/vcenter.py", line 144, in __init__
    self._nfs_ds = NFSDatastore(self._inputs, self)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "/contrail-test/fixtures/vcenter.py", line 92, in __init__
    host.configManager.datastoreSystem.CreateNasDatastore(spec)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 580, in <lambda>
    self.f(*(self.args + (obj,) + args), **kwargs)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 386, in _InvokeMethod
    return self._stub.InvokeMethod(self, info, args)
  File "/usr/lib/python2.7/site-packages/pyVmomi/SoapAdapter.py", line 1366, in InvokeMethod
    raise obj # pylint: disable-msg=E0702
vim.fault.DuplicateName: (vim.fault.DuplicateName) {
   dynamicType = <unset>,
   dynamicProperty = (vmodl.DynamicProperty) [],
   msg = "The name 'nfs-ds' already exists.",
   faultCause = <unset>,
   faultMessage = (vmodl.LocalizableMessage) [],
   name = 'nfs-ds',
   object = 'vim.Datastore:10.84.16.10:/nfs'
}

Ran 0 tests in 25.285s
FAILED (failures=1)

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Saturday, 18 August 2018 at 6:21 AM
To: Sandip Dey <sand...

Read more...

Download full text (7.4 KiB)

After removing nfs-ds from ESXI hosts datastore, test is running now.
I will post the result once the tests are run.

Thanks
Sachin

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[root@10.84.16.10] out: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
[root@10.84.16.10] out:

[root@10.84.16.10] sudo: systemctl start nfs-server.service
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 38, in setUpClass
    cls.admin_isolated_creds.setUp()
  File "common/isolated_creds.py", line 132, in setUp
    password=self.password)
  File "common/connections.py", line 68, in __init__
    self.vnc_lib = self.get_vnc_lib_h()
  File "common/connections.py", line 167, in get_vnc_lib_h
    env[attr].setUp()
  File "/contrail-test/fixtures/vnc_api_test.py", line 113, in setUp
    if self.orch:
  File "/contrail-test/fixtures/vnc_api_test.py", line 178, in orch
    self._orch = self.get_orch_h()
  File "/contrail-test/fixtures/vnc_api_test.py", line 201, in get_orch_h
    logger=self.logger)
  File "/contrail-test/fixtures/vcenter.py", line 144, in __init__
    self._nfs_ds = NFSDatastore(self._inputs, self)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "/contrail-test/fixtures/vcenter.py", line 92, in __init__
    host.configManager.datastoreSystem.CreateNasDatastore(spec)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 580, in <lambda>
    self.f(*(self.args + (obj,) + args), **kwargs)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 386, in _InvokeMethod
    return self._stub.InvokeMethod(self, info, args)
  File "/usr/lib/python2.7/site-packages/pyVm...

Read more...

Download full text (11.9 KiB)

Ok. Single Sanity run passed.
2018-08-18 08:53:06,766 - INFO - END TEST : test_ping_within_vn : PASSED[0:26:42]
2018-08-18 08:53:06,766 - INFO - --------------------------------------------------------------------------------

But I’m trying to run complete Sanity using following command:
[root@ab0e1c12eb88 contrail-test]# ./run_tests.sh -T venter --send-mail -

The run was over immediately..
Sandip/ Sudhee, can you pls let us what the error is here ?

I have attached complete log to the mail. Relevant logs are included :

[root@10.84.16.10] sudo: systemctl enable nfs-server.service
[root@10.84.16.10] sudo: systemctl start nfs-server.service
[root@10.84.16.11] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
[root@10.84.16.12] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
Exception in thread Thread-8 (most likely raised during interpreter shutdown):Exception in thread Thread-3 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
[localhost] local: rpm -q --queryformat '%{VERSION}-' contrail-test; rpm -q --queryformat '%{RELEASE}' contrail-test | awk -F'.' '{print $1}'
Exception in thread Thread-3 (most likely raised during interpreter shutdown):Generated report_details* file: report_details_2018_08_18_09_29_40.ini
could not change test cases names
could not change test cases names
Buildfile: /contrail-test/build.xml

junit-report:
   [delete] Deleting directory /contrail-test/report
[junitreport] Processing /contrail-test/report/TESTS-TestSuites.xml to /contrail-test/report/junit-noframes.html
[junitreport] Loading stylesheet /contrail-test/junit-noframes.xsl
[junitreport] Warning: org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser: Property 'http://javax.xml.XMLConstants/property/accessExternalDTD' is not recognized.
[junitreport] Warning: org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser: Property 'http://www.oracle.com/xml/jaxp/properties/entityExpansionLimit' is not recognized.
[junitreport] Transform time: 324ms

BUILD SUCCESSFUL
Total time: 0 seconds
Generate HTML reports in report/ folder : report/junit-noframes.html
logs/tcutils.util.log
logs/tcutils.config.vcenter_verification.log
logs/__main__.log
logs/tcutils.collector.opserver_results.log
logs/introspect.log
logs/a3s10-tracebacks.log
logs/a3s10-ignored_tracebacks.log
logs/a3s10-traceback_parse_failures.log
logs/common.contrail_test_init.log
logs/testbasicvmvn.log
Converted log files to html files
[root@10.84.16.10] put: tools/search-bt.py -> /tmp/search-bt.py
Traceback details will be in /tmp/a3s10-tracebacks.log
Ignored Traceback details will be in /tmp/a3s10-ignored_tracebacks.log
Traceback parse errors will be in /tmp/a3s10-traceback_parse_failures.log
Done looking for tracebacks
[root@10.84.16.10] download: /contrail-test/logs/a3s10-tracebacks.log <- /tmp/a3s10-tracebacks.log

Warning: Local file /contrail-test/logs/a3s10-tracebacks.log already exists and is being overwritten.

Warning: get() encountered an exception while downloading '/tmp/a3s10-tracebacks.log'

Underlying exception:
    No such file

[root@10.84.16.10] download: /contrail-test/logs/a3s10-ignored_tracebacks.log <- /tmp/a3s10...

aswani kumar (aswanikumar90) wrote :
Download full text (13.5 KiB)

Sachin,

I triggered the sanity in the following container and its running now

[root@a3s10 ~]# docker attach ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# bash -x run_tests.sh -T vcenter --send-mail -U

2018-08-18 09:41:56,829 - INFO - ================================================================================

2018-08-18 09:41:56,829 - INFO - STARTING TEST : test_contrail_alarms

2018-08-18 09:41:56,831 - INFO - TEST DESCRIPTION : Test to check if alarms are present

2018-08-18 09:42:00,114 - INFO - Initial checks done. Running the testcase now

2018-08-18 09:42:00,115 - INFO -

2018-08-18 09:42:03,333 - INFO - END TEST : test_contrail_alarms : PASSED[0:00:07]

2018-08-18 09:42:03,334 - INFO - --------------------------------------------------------------------------------

2018-08-18 09:42:03,339 - INFO - ================================================================================

2018-08-18 09:42:03,339 - INFO - STARTING TEST : test_contrail_status

2018-08-18 09:42:03,339 - INFO - TEST DESCRIPTION : Test to verify that all services are running and active

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, 18 August 2018 at 10:03 PM
To: Madhava Rao Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ok. Single Sanity run passed.
2018-08-18 08:53:06,766 - INFO - END TEST : test_ping_within_vn : PASSED[0:26:42]
2018-08-18 08:53:06,766 - INFO - --------------------------------------------------------------------------------

But I’m trying to run complete Sanity using following command:
[root@ab0e1c12eb88 contrail-test]# ./run_tests.sh -T venter --send-mail -

The run was over immediately..
Sandip/ Sudhee, can you pls let us what the error is here ?

I have attached complete log to the mail. Relevant logs are included :

[root@10.84.16.10] sudo: systemctl enable nfs-server.service
[root@10.84.16.10] sudo: systemctl start nfs-server.service
[root@10.84.16.11] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
[root@10.84.16.12] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
Exception in thread Thread-8 (most likely raised during interpreter shutdown):Exception in thread Thread-3 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
[localhost] local: rpm -q --queryformat '%{VERSION}-' contrail-test; rpm -q --queryformat '%{RELEASE}' contrail-test | awk -F'.' '{print $1}'
Exception in thread Thread-3 (most likely raised during interpreter shutdown):Generated report_details* file: report_details_2018_08_18_09_29_40.ini
could not change test cases names
could not change test cases names
Buildfile: /contrail-test/build.xml

junit-report:
   [delete] Deleting directory /contrail-test/report
[junitreport] Processing /contrail-test/report/TESTS-TestSuites.xml to /contrail-test/report/junit-noframes.html
[j...

Download full text (14.0 KiB)

Thanks Aswani. How did you get it to work ?

Is it the command “ bash -x run_tests.sh -T vcenter --send-mail -U”

Thanks,
Sachin
From: Aswani Kumar Gaddam <email address hidden>
Date: Saturday, August 18, 2018 at 9:44 AM
To: Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sachin,

I triggered the sanity in the following container and its running now

[root@a3s10 ~]# docker attach ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# bash -x run_tests.sh -T vcenter --send-mail -U

2018-08-18 09:41:56,829 - INFO - ================================================================================

2018-08-18 09:41:56,829 - INFO - STARTING TEST : test_contrail_alarms

2018-08-18 09:41:56,831 - INFO - TEST DESCRIPTION : Test to check if alarms are present

2018-08-18 09:42:00,114 - INFO - Initial checks done. Running the testcase now

2018-08-18 09:42:00,115 - INFO -

2018-08-18 09:42:03,333 - INFO - END TEST : test_contrail_alarms : PASSED[0:00:07]

2018-08-18 09:42:03,334 - INFO - --------------------------------------------------------------------------------

2018-08-18 09:42:03,339 - INFO - ================================================================================

2018-08-18 09:42:03,339 - INFO - STARTING TEST : test_contrail_status

2018-08-18 09:42:03,339 - INFO - TEST DESCRIPTION : Test to verify that all services are running and active

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, 18 August 2018 at 10:03 PM
To: Madhava Rao Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ok. Single Sanity run passed.
2018-08-18 08:53:06,766 - INFO - END TEST : test_ping_within_vn : PASSED[0:26:42]
2018-08-18 08:53:06,766 - INFO - --------------------------------------------------------------------------------

But I’m trying to run complete Sanity using following command:
[root@ab0e1c12eb88 contrail-test]# ./run_tests.sh -T venter --send-mail -

The run was over immediately..
Sandip/ Sudhee, can you pls let us what the error is here ?

I have attached complete log to the mail. Relevant logs are included :

[root@10.84.16.10] sudo: systemctl enable nfs-server.service
[root@10.84.16.10] sudo: systemctl start nfs-server.service
[root@10.84.16.11] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
[root@10.84.16.12] run: vim-cmd hostsvc/vmotion/vnic_set vmk0
Exception in thread Thread-8 (most likely raised during interpreter shutdown):Exception in thread Thread-3 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
[l...

ram yadav (ryadav) wrote :
Download full text (7.4 KiB)

Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[root@10.84.16.10] out: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
[root@10.84.16.10] out:

[root@10.84.16.10] sudo: systemctl start nfs-server.service
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 38, in setUpClass
    cls.admin_isolated_creds.setUp()
  File "common/isolated_creds.py", line 132, in setUp
    password=self.password)
  File "common/connections.py", line 68, in __init__
    self.vnc_lib = self.get_vnc_lib_h()
  File "common/connections.py", line 167, in get_vnc_lib_h
    env[attr].setUp()
  File "/contrail-test/fixtures/vnc_api_test.py", line 113, in setUp
    if self.orch:
  File "/contrail-test/fixtures/vnc_api_test.py", line 178, in orch
    self._orch = self.get_orch_h()
  File "/contrail-test/fixtures/vnc_api_test.py", line 201, in get_orch_h
    logger=self.logger)
  File "/contrail-test/fixtures/vcenter.py", line 144, in __init__
    self._nfs_ds = NFSDatastore(self._inputs, self)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "/contrail-test/fixtures/vcenter.py", line 92, in __init__
    host.configManager.datastoreSystem.CreateNasDatastore(spec)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 580, in <lambda>
    self.f(*(self.args + (obj,) + args), **kwargs)
  File "/usr/lib/python2.7/site-packages/pyVmomi/VmomiSupport.py", line 386, in _InvokeMethod
    return self._stub.InvokeMethod(self, info, ...

Read more...

ram yadav (ryadav) wrote :
Download full text (14.8 KiB)

Looks like the basic ping between VM within a VN are passing on my setup.
This testcase used to fail on Sandip Dey setup since not all VM’s used to get IP’s.
So we are not able to re-produce the DHCP issue.
This setup is using distributed plugin from build master-221.

Sandip,
Can you look at this setup and try to recreate DHCP issue?

Thanks,
Ram

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, August 18, 2018 at 12:09 PM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Thanks Aswani. How did you get it to work ?

Is it the command “ bash -x run_tests.sh -T vcenter --send-mail -U”

Thanks,
Sachin
From: Aswani Kumar Gaddam <email address hidden>
Date: Saturday, August 18, 2018 at 9:44 AM
To: Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sachin,

I triggered the sanity in the following container and its running now

[root@a3s10 ~]# docker attach ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# bash -x run_tests.sh -T vcenter --send-mail -U

2018-08-18 09:41:56,829 - INFO - ================================================================================

2018-08-18 09:41:56,829 - INFO - STARTING TEST : test_contrail_alarms

2018-08-18 09:41:56,831 - INFO - TEST DESCRIPTION : Test to check if alarms are present

2018-08-18 09:42:00,114 - INFO - Initial checks done. Running the testcase now

2018-08-18 09:42:00,115 - INFO -

2018-08-18 09:42:03,333 - INFO - END TEST : test_contrail_alarms : PASSED[0:00:07]

2018-08-18 09:42:03,334 - INFO - --------------------------------------------------------------------------------

2018-08-18 09:42:03,339 - INFO - ================================================================================

2018-08-18 09:42:03,339 - INFO - STARTING TEST : test_contrail_status

2018-08-18 09:42:03,339 - INFO - TEST DESCRIPTION : Test to verify that all services are running and active

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, 18 August 2018 at 10:03 PM
To: Madhava Rao Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ok. Single Sanity run passed.
2018-08-18 08:53:06,766 - INFO - END TEST : test_ping_within_vn : PASSED[0:26:42]
2018-08-18 08:53:06,766 - INFO - ---------------------------...

Download full text (15.5 KiB)

Ram,
   Did this test-case always use to fail ?
 Can you run this test in a loop and see if it fails.
Also Aswini has started all Sanity tests, how many have failed ? Did some of them has passed last time we ran with Centralized plugin ?

Thanks,
Sachin
From: Ram Yadav <email address hidden>
Date: Saturday, August 18, 2018 at 3:20 PM
To: Sachchidanand Vaidya <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Looks like the basic ping between VM within a VN are passing on my setup.
This testcase used to fail on Sandip Dey setup since not all VM’s used to get IP’s.
So we are not able to re-produce the DHCP issue.
This setup is using distributed plugin from build master-221.

Sandip,
Can you look at this setup and try to recreate DHCP issue?

Thanks,
Ram

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, August 18, 2018 at 12:09 PM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Thanks Aswani. How did you get it to work ?

Is it the command “ bash -x run_tests.sh -T vcenter --send-mail -U”

Thanks,
Sachin
From: Aswani Kumar Gaddam <email address hidden>
Date: Saturday, August 18, 2018 at 9:44 AM
To: Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sachin,

I triggered the sanity in the following container and its running now

[root@a3s10 ~]# docker attach ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# bash -x run_tests.sh -T vcenter --send-mail -U

2018-08-18 09:41:56,829 - INFO - ================================================================================

2018-08-18 09:41:56,829 - INFO - STARTING TEST : test_contrail_alarms

2018-08-18 09:41:56,831 - INFO - TEST DESCRIPTION : Test to check if alarms are present

2018-08-18 09:42:00,114 - INFO - Initial checks done. Running the testcase now

2018-08-18 09:42:00,115 - INFO -

2018-08-18 09:42:03,333 - INFO - END TEST : test_contrail_alarms : PASSED[0:00:07]

2018-08-18 09:42:03,334 - INFO - --------------------------------------------------------------------------------

2018-08-18 09:42:03,339 - INFO - ================================================================================

2018-08-18 09:42:03,339 - INFO - STARTING TEST : test_contrail_status

2018-08-18 09:42:03,339 - INFO - TEST DESCRIPTION : Test to verif...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (8.5 KiB)

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 only and not server1?
If there is no requirement then it just a matter of changing the name in your vcenter_vars.yaml and you are not blocked from testing.

Thanks,
Sudhee.

Sent from my iPhone

On 19-Aug-2018, at 3:38 AM, Ram Yadav <<email address hidden><mailto:<email address hidden>>> wrote:

Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[root@10.84.16.10<mailto:root@10.84.16.10>] out: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
[root@10.84.16.10<mailto:root@10.84.16.10>] out:

[root@10.84.16.10<mailto:root@10.84.16.10>] sudo: systemctl start nfs-server.service
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 38, in setUpClass
    cls.admin_isolated_creds.setUp()
  File "common/isolated_creds.py", line 132, in setUp
    password=self.password)
  File "common/connections.py", line 68, in __init__
    self.vnc_lib = self.get_vnc_lib_h()
  File "common/connections.py", line 167, in get_vnc_lib_h
    env[attr].setUp()
  File "/contrail-test/fixtures/vnc_api_test.py", line 113, in setUp
    if self.orch:
  File "/contrail-test/fixtures/vnc_api_t...

Read more...

ram yadav (ryadav) wrote :
Download full text (30.4 KiB)

Looks like there are many failures in sanity, but could be setup issue.
For our immediate concern of reproducing the DHCP issue with vlan override I’m unable to reproduce the issue in my setup.

Below are sanity test report from my setup.
Hi Sudhee,
Can you have someone from your team replicate the DHCP issue on my setup?
Also can someone look at the cause of the sanity test cases failure and see what are due to setup and which are genuine?

Thanks,
Ram

Test Results

Designed for use with JUnit<http://www.junit.org> and Ant<http://jakarta.apache.org/ant>.

________________________________
Properties
Build : 5.1.0-241
cores : {'10.84.16.10': [], '10.84.16.24': [], '10.84.16.23': []}
LogsLocation : http://None/None/5.1.0-241_2018_08_18_09_41_28/logs/
Report : http://None/None/5.1.0-241_2018_08_18_09_41_28/junit-noframes.html
Topology :
DISTRO : CentOS Linux release 7.5.1804 Core
SKU :
Config Nodes : ['a3s10']
Control Nodes : ['a3s10']
Compute Nodes : ['a3s11vrouter', 'a3s11vrouter12']
WebUI Node : ['a3s10']
Analytics Nodes : ['a3s10']
Database Nodes : ['a3s10']
Physical Devices : [u'']

________________________________
Summary
Tests

Failures

Errors

Skipped

Success rate

Time

61

43

0

10

15.69%

21983.085

Note: failures are anticipated and checked for with assertions while errors are unanticipated.

________________________________
Packages
Note: package statistics are not computed recursively, they only sum up all of its testsuites numbers.
Name

Tests

Errors

Failures

Skipped

Time(s)

61

0

43

10

21983.085

________________________________
Package
Name

Tests

Errors

Failures

Skipped

Time(s)

11

0

7

3

6194.420

scripts<file:///Users/ryadav/Documents/work/junit-noframes.html#scripts>

50

0

36

7

15788.665

Back to top<file:///Users/ryadav/Documents/work/junit-noframes.html#top>
________________________________
TestCase
Name

Status

Type

Time(s)

LogFile

.setUpClass (serial_scripts.analytics.test_analytics_resource.AnalyticsTestSanityWithMin)

Failure

Details

0.000

Log File

.setUpClass (serial_scripts.analytics.test_analytics_resource.AnalyticsTestSanityWithResource)

Failure

Details

0.000

Log File

TestEncapCases.test_apply_policy_fip_on_same_vn_gw_mx[sanity,serial,vcenter]

Skipped

Skipping Test. Env variable MX_TEST is not set. Skipping the testSkipping Test. Env variable MX_TEST is not set. Skipping the test

6.933

TestEvpnCasesRestart.test_with_vxlan_encap_agent_restart[sanity,serial,vcenter,vcenter_compute]

Failure

Details

1006.328

Log File<http://None/None/5.1.0-241_2018_08_18_09_41_28/logs/testevpncasesrestart.html#test_with_vxlan_encap_agent_restart>

TestFirewallBasic.test_global_scope[sanity,vcenter]

Success

216.315

TestSerialSanity_MX.test_change_of_rt_in_vn[mx_test,sanity,serial,vcenter,vcenter_compute]

Skipped

Skipping Test. Env variable MX_GW_TEST is not setSkipping Test. Env variable MX_GW_TEST is not set

7.291

TestGWLessFWD.test_gw_less_fwd_single_vn_ip_fab[cb_sanity,sanity,vcenter]

Skippe...

ram yadav (ryadav) wrote :
Download full text (16.5 KiB)

Sachin,
On Sandip’s setup the basic ping test use to spawn three VM’s on three different ESXi host and few VM’s used to DHCP issue.
It always use to happen. We were not able to reproduce the issue locally even then. My understanding was the test script was able to successfully trigger the recreation.
But looks like even with test script we are not hitting the DHCP issue.
At this point test team if they can recreate the issue on Sunnyvale setup that would be helpful.

Thanks,
Ram

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, August 18, 2018 at 5:55 PM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,
   Did this test-case always use to fail ?
 Can you run this test in a loop and see if it fails.
Also Aswini has started all Sanity tests, how many have failed ? Did some of them has passed last time we ran with Centralized plugin ?

Thanks,
Sachin
From: Ram Yadav <email address hidden>
Date: Saturday, August 18, 2018 at 3:20 PM
To: Sachchidanand Vaidya <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Looks like the basic ping between VM within a VN are passing on my setup.
This testcase used to fail on Sandip Dey setup since not all VM’s used to get IP’s.
So we are not able to re-produce the DHCP issue.
This setup is using distributed plugin from build master-221.

Sandip,
Can you look at this setup and try to recreate DHCP issue?

Thanks,
Ram

From: Sachchidanand Vaidya <email address hidden>
Date: Saturday, August 18, 2018 at 12:09 PM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Thanks Aswani. How did you get it to work ?

Is it the command “ bash -x run_tests.sh -T vcenter --send-mail -U”

Thanks,
Sachin
From: Aswani Kumar Gaddam <email address hidden>
Date: Saturday, August 18, 2018 at 9:44 AM
To: Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Ram Yadav <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sachin,

I triggered the sanity in the following container and its running now

[root@a3s10 ~]# docker attach ab0e1c12eb88

[root@ab0e1c12eb88 c...

ram yadav (ryadav) wrote :
Download full text (17.0 KiB)

Aswani,
In the same container I’m running single test case and it fails:
[root@a3s10 ~]# docker attach ab0e1c12eb88
[root@ab0e1c12eb88 contrail-test]# export PYTHONPATH=$PATH:$PWD:$PWD/fixtures:$PWD/scripts
[root@ab0e1c12eb88 contrail-test]# export TEST_CONFIG_FILE=contrail_test_input.yaml
[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 13, in setUpClass
    super(BaseTestCase_v1, cls).setUpClass()
  File "test.py", line 79, in setUpClass
    cls.inputs = ContrailTestInit(cls.input_file,logger = cls.logger)
  File "common/contrail_test_init.py", line 853, in __init__
    self.inputs = TestInputs(input_file, self.logger)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "common/contrail_test_init.py", line 102, in __init__
    self.parse_yml_file()
  File "common/contrail_test_init.py", line 450, in parse_yml_file
    self.parse_topo()
  File "common/contrail_test_init.py", line 302, in parse_topo
    hostname = self.run_cmd_on_server(host_data['host_ip'], 'hostname')
  File "common/contrail_test_init.py", line 834, in run_cmd_on_server
    shell_prefix=shell_prefix)
  File "tcutils/util.py", line 814, in run_cmd_on_server
    output = _run(updated_cmd, pty=pty)
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 633, in host_prompting_wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fabric/operations.py", line 1095, in sudo
    stderr=stderr, timeout=timeout, shell_escape=shell_escape,
  File "/usr/lib/python2.7/site-packages/fabric/operations.py", line 909, in _run_command
    channel=default_channel(), command=wrapped_command, pty=pty,
  File "/usr/lib/python2.7/site-packages/fabric/state.py", line 387, in default_channel
    chan = _open_session()
  File "/usr/lib/python2.7/site-packages/fabric/state.py", line 379, in _open_session
    return connections[env.host_string].get_transport().open_session()
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 154, in __getitem__
    self.connect(key)
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 146, in connect
    user, host, port, cache=self, seek_gateway=seek_gateway)
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 559, in connect
    raise NetworkError(msg, e)
NetworkError: Timed out trying to connect to 10.84.16.23 (tried 1 time)

Ran 0 tests in 10.044s
FAILED (failures=1)

What could be the issue.
But similar ping test case passed in the sanity run.

Thanks,
Ram

From: Aswani Kumar Gaddam <aswanikr@ju...

ram yadav (ryadav) wrote :
Download full text (17.6 KiB)

Aswani,
Looks like the IP address for contrail VM got changed messed up.
Does the sanity run play around with contrailVM IP’s?
IP address got unassigned for both VM’s.

Thanks,
Ram

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:08 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
In the same container I’m running single test case and it fails:
[root@a3s10 ~]# docker attach ab0e1c12eb88
[root@ab0e1c12eb88 contrail-test]# export PYTHONPATH=$PATH:$PWD:$PWD/fixtures:$PWD/scripts
[root@ab0e1c12eb88 contrail-test]# export TEST_CONFIG_FILE=contrail_test_input.yaml
[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 13, in setUpClass
    super(BaseTestCase_v1, cls).setUpClass()
  File "test.py", line 79, in setUpClass
    cls.inputs = ContrailTestInit(cls.input_file,logger = cls.logger)
  File "common/contrail_test_init.py", line 853, in __init__
    self.inputs = TestInputs(input_file, self.logger)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "common/contrail_test_init.py", line 102, in __init__
    self.parse_yml_file()
  File "common/contrail_test_init.py", line 450, in parse_yml_file
    self.parse_topo()
  File "common/contrail_test_init.py", line 302, in parse_topo
    hostname = self.run_cmd_on_server(host_data['host_ip'], 'hostname')
  File "common/contrail_test_init.py", line 834, in run_cmd_on_server
    shell_prefix=shell_prefix)
  File "tcutils/util.py", line 814, in run_cmd_on_server
    output = _run(updated_cmd, pty=pty)
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 633, in host_prompting_wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fabric/operations.py", line 1095, in sudo
    stderr=stderr, timeout=timeout, shell_escape=shell_escape,
  File "/usr/lib/python2.7/site-packages/fabric/operations.py", line 909, in _run_command
    channel=default_channel(), command=wrapped_command, pty=pty,
  File "/usr/lib/python2.7/site-packages/fabric/state.py", line 387, in default_channel
    chan = _open_session()
  File "/usr/lib/python2.7/site-packages/fabric/state.py", line 379, in _open_session
    return connections[env.host_string].get_transport().open_sessi...

ram yadav (ryadav) wrote :
Download full text (18.2 KiB)

I rebooted both contrailVM’s to get the IP back. But still the question remain what caused it.
Only thing run before getting into this state was sanity.

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:19 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
Looks like the IP address for contrail VM got changed messed up.
Does the sanity run play around with contrailVM IP’s?
IP address got unassigned for both VM’s.

Thanks,
Ram

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:08 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
In the same container I’m running single test case and it fails:
[root@a3s10 ~]# docker attach ab0e1c12eb88
[root@ab0e1c12eb88 contrail-test]# export PYTHONPATH=$PATH:$PWD:$PWD/fixtures:$PWD/scripts
[root@ab0e1c12eb88 contrail-test]# export TEST_CONFIG_FILE=contrail_test_input.yaml
[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
    super(TestBasicVMVN, cls).setUpClass()
  File "scripts/vm_regression/base.py", line 12, in setUpClass
    super(BaseVnVmTest, cls).setUpClass()
  File "test_v1.py", line 13, in setUpClass
    super(BaseTestCase_v1, cls).setUpClass()
  File "test.py", line 79, in setUpClass
    cls.inputs = ContrailTestInit(cls.input_file,logger = cls.logger)
  File "common/contrail_test_init.py", line 853, in __init__
    self.inputs = TestInputs(input_file, self.logger)
  File "tcutils/util.py", line 997, in __call__
    Singleton, cls).__call__(*args, **kwargs)
  File "common/contrail_test_init.py", line 102, in __init__
    self.parse_yml_file()
  File "common/contrail_test_init.py", line 450, in parse_yml_file
    self.parse_topo()
  File "common/contrail_test_init.py", line 302, in parse_topo
    hostname = self.run_cmd_on_server(host_data['host_ip'], 'hostname')
  File "common/contrail_test_init.py", line 834, in run_cmd_on_server
    shell_prefix=shell_prefix)
  File "tcutils/util.py", line 814, in run_cmd_on_server
    output = _run(updated_cmd, pty=pty)
  File "/usr/lib/python2.7/site-packages/fabric/network.py", line 633, in host_prompting_wrapper
    ...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (31.0 KiB)

Hi Ram,

   We are checking the logs, will get back to you with the analysis.

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:03 AM
To: Sachchidanand Vaidya <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Looks like there are many failures in sanity, but could be setup issue.
For our immediate concern of reproducing the DHCP issue with vlan override I’m unable to reproduce the issue in my setup.

Below are sanity test report from my setup.
Hi Sudhee,
Can you have someone from your team replicate the DHCP issue on my setup?
Also can someone look at the cause of the sanity test cases failure and see what are due to setup and which are genuine?

Thanks,
Ram

Test Results

Designed for use with JUnit<http://www.junit.org> and Ant<http://jakarta.apache.org/ant>.

________________________________
Properties
Build : 5.1.0-241
cores : {'10.84.16.10': [], '10.84.16.24': [], '10.84.16.23': []}
LogsLocation : http://None/None/5.1.0-241_2018_08_18_09_41_28/logs/
Report : http://None/None/5.1.0-241_2018_08_18_09_41_28/junit-noframes.html
Topology :
DISTRO : CentOS Linux release 7.5.1804 Core
SKU :
Config Nodes : ['a3s10']
Control Nodes : ['a3s10']
Compute Nodes : ['a3s11vrouter', 'a3s11vrouter12']
WebUI Node : ['a3s10']
Analytics Nodes : ['a3s10']
Database Nodes : ['a3s10']
Physical Devices : [u'']

________________________________
Summary
Tests

Failures

Errors

Skipped

Success rate

Time

61

43

0

10

15.69%

21983.085

Note: failures are anticipated and checked for with assertions while errors are unanticipated.

________________________________
Packages
Note: package statistics are not computed recursively, they only sum up all of its testsuites numbers.
Name

Tests

Errors

Failures

Skipped

Time(s)

61

0

43

10

21983.085

________________________________
Package
Name

Tests

Errors

Failures

Skipped

Time(s)

11

0

7

3

6194.420

scripts<file:///Users/ryadav/Documents/work/junit-noframes.html#scripts>

50

0

36

7

15788.665

Back to top<file:///Users/ryadav/Documents/work/junit-noframes.html#top>
________________________________
TestCase
Name

Status

Type

Time(s)

LogFile

.setUpClass (serial_scripts.analytics.test_analytics_resource.AnalyticsTestSanityWithMin)

Failure

Details

0.000

Log File

.setUpClass (serial_scripts.analytics.test_analytics_resource.AnalyticsTestSanityWithResource)

Failure

Details

0.000

Log File

TestEncapCases.test_apply_policy_fip_on_same_vn_gw_mx[sanity,serial,vcenter]

Skipped

Skipping Test. Env variable MX_TEST is not set. Skipping the testSkipping Test. Env variable MX_TEST is not set. Skipping the test

6.933

TestEvpnCasesRestart.test_with_vxlan_encap_agent_restart[sanity,serial,vcenter,vcent...

aswani kumar (aswanikumar90) wrote :
Download full text (32.5 KiB)

Ram,

All testcases failed due to vn_verifications in collector has failed
Your setup is not intact
We will try to reproduce the dhcp issue on your setup

Setup is not intact
== Contrail database ==
kafka: active
nodemgr: initializing (Disk for DB is too low. )
zookeeper: active
cassandra: active

== Contrail analytics ==
snmp-collector: active
query-engine: active
api: initializing (Redis-UVE:10.84.16.10:6379[None] connection down)
alarm-gen: initializing (Redis-UVE:10.84.16.10:6379[None] connection down)
nodemgr: active
collector: active
topology: active

2018-08-18 11:48:01,489 - DEBUG - Verifying the vn in opserver
2018-08-18 11:48:01,489 - DEBUG - Verifying the default-domain:vCenter:VN1 virtual network link through opserver 10.84.16.10
2018-08-18 11:48:04,496 - DEBUG - Verifying the default-domain:vCenter:VN1 virtual network link through opserver 10.84.16.10
2018-08-18 11:48:46,756 - ERROR - One or more verifications in OpServer for VN VN1 failed
2018-08-18 11:48:46,761 - INFO - Deleting VN VN3
2018-08-18 11:48:46,884 - INFO - Deleting VN VN2

Thanks,
Aswani Kumar

From: Madhava Rao Sudheendra Rao <email address hidden>
Date: Monday, 20 August 2018 at 11:10 AM
To: Ram Yadav <email address hidden>, Sachchidanand Vaidya <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

   We are checking the logs, will get back to you with the analysis.

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:03 AM
To: Sachchidanand Vaidya <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Looks like there are many failures in sanity, but could be setup issue.
For our immediate concern of reproducing the DHCP issue with vlan override I’m unable to reproduce the issue in my setup.

Below are sanity test report from my setup.
Hi Sudhee,
Can you have someone from your team replicate the DHCP issue on my setup?
Also can someone look at the cause of the sanity test cases failure and see what are due to setup and which are genuine?

Thanks,
Ram

Test Results

Designed for use with JUnit<http://www.junit.org> and Ant<http://jakarta.apache.org/ant>.

________________________________
Properties
Build : 5.1.0-241
cores : {'10.84.16.10': [], '10.84.16.24': [], '10.84.16.23': []}
LogsLocation : http://None/None/5.1.0-241_2018_08_18_09_41_28/logs/
Report : http://None/None/5.1.0-241_2018_08_18_09_41_28/junit-noframes.html
Topology :
DISTRO : CentOS Linux release 7.5.1804 Core
SKU :
Config Nodes : ['a3s10']
Control Nodes : ['a3s10']
Compute Nodes : ['a3s11vrouter', 'a3s11vrouter12']
WebUI Node : ['a3s10']
Analytics Nodes : [...

ram yadav (ryadav) wrote :
Download full text (20.4 KiB)

Single ping test passed.

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...

2018-08-19 22:46:07,024 - INFO - Ping to IP 92.231.138.250 from VM ctest-vm1-09003512 passed
[ubuntu@169.254.0.7] sudo: ping -s 56 -c 5 -W 1 92.231.138.252
[ubuntu@169.254.0.7] out: PING 92.231.138.252 (92.231.138.252) 56(84) bytes of data.
[ubuntu@169.254.0.7] out: 64 bytes from 92.231.138.252: icmp_req=1 ttl=64 time=0.967 ms
[ubuntu@169.254.0.7] out: 64 bytes from 92.231.138.252: icmp_req=2 ttl=64 time=0.601 ms
[ubuntu@169.254.0.7] out: 64 bytes from 92.231.138.252: icmp_req=3 ttl=64 time=0.938 ms
[ubuntu@169.254.0.7] out: 64 bytes from 92.231.138.252: icmp_req=4 ttl=64 time=0.544 ms
[ubuntu@169.254.0.7] out: 64 bytes from 92.231.138.252: icmp_req=5 ttl=64 time=0.769 ms
[ubuntu@169.254.0.7] out:
[ubuntu@169.254.0.7] out: --- 92.231.138.252 ping statistics ---
[ubuntu@169.254.0.7] out: 5 packets transmitted, 5 received, 0% packet loss, time 4000ms
[ubuntu@169.254.0.7] out: rtt min/avg/max/mdev = 0.544/0.763/0.967/0.174 ms
[ubuntu@169.254.0.7] out:

2018-08-19 22:46:22,340 - INFO - Ping to IP 92.231.138.252 from VM ctest-vm3-08653530 passed
2018-08-19 22:46:22,341 - INFO - Deleting VM ctest-vm3-08653530
2018-08-19 22:46:26,430 - INFO - Deleting VM ctest-vm2-81074936
2018-08-19 22:46:30,578 - INFO - Deleting VM ctest-vm1-09003512
2018-08-19 22:46:34,666 - INFO - Deleting VN ctest-vn30-93720575
2018-08-19 22:46:39,465 - INFO - END TEST : test_ping_within_vn : PASSED[0:22:14]
2018-08-19 22:46:39,465 - INFO - --------------------------------------------------------------------------------

Ran 1 test in 1369.229s
OK

We are not able to recreate the DHCP issue.

Thanks,
Ram

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:26 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

I rebooted both contrailVM’s to get the IP back. But still the question remain what caused it.
Only thing run before getting into this state was sanity.

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:19 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
Looks like the IP address for contrail VM got changed messed up.
Does the sanity run play around with contrailVM IP’s?
IP address got unassigned for both VM’s.

Thanks,
Ram

From: Ram Yadav <email address hidden>
Date: Sunday, August 19, 2018 at 10:08 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya...

Sandip Dey (sandipd) wrote :
Download full text (23.7 KiB)

Hi Ram

We are trying in your setup.Will let you know.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 11:58 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Single ping test passed.

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...

2018-08-19 22:46:07,024 - INFO - Ping to IP 92.231.138.250 from VM ctest-vm1-09003512 passed
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] sudo: ping -s 56 -c 5 -W 1 92.231.138.252
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: PING 92.231.138.252 (92.231.138.252) 56(84) bytes of data.
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=1 ttl=64 time=0.967 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=2 ttl=64 time=0.601 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=3 ttl=64 time=0.938 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=4 ttl=64 time=0.544 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=5 ttl=64 time=0.769 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out:
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: --- 92.231.138.252 ping statistics ---
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 5 packets transmitted, 5 received, 0% packet loss, time 4000ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: rtt min/avg/max/mdev = 0.544/0.763/0.967/0.174 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out:

2018-08-19 22:46:22,340 - INFO - Ping to IP 92.231.138.252 from VM ctest-vm3-08653530 passed
2018-08-19 22:46:22,341 - INFO - Deleting VM ctest-vm3-08653530
2018-08-19 22:46:26,430 - INFO - Deleting VM ctest-vm2-81074936
2018-08-19 22:46:30,578 - INFO - Deleting VM ctest-vm1-09003512
2018-08-19 22:46:34,666 - INFO - Deleting VN ctest-vn30-93720575
2018-08-19 22:46:39,465 - INFO - END TEST : test_ping_within_vn : PASSED[0:22:14]
2018-08-19 22:46:39,465 - INFO - --------------------------------------------------------------------------------

Ran 1 test in 1369.229s
OK

We are not able to recreate the DHCP issue.

Thanks,
Ram

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Sunday, August 19, 2018 at 10:26 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden>...

Sandip Dey (sandipd) wrote :
Download full text (24.4 KiB)

Why does it take so long in your setup for vm to come up?

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:03 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram

We are trying in your setup.Will let you know.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 11:58 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Single ping test passed.

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...

2018-08-19 22:46:07,024 - INFO - Ping to IP 92.231.138.250 from VM ctest-vm1-09003512 passed
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] sudo: ping -s 56 -c 5 -W 1 92.231.138.252
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: PING 92.231.138.252 (92.231.138.252) 56(84) bytes of data.
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=1 ttl=64 time=0.967 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=2 ttl=64 time=0.601 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=3 ttl=64 time=0.938 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=4 ttl=64 time=0.544 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=5 ttl=64 time=0.769 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out:
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: --- 92.231.138.252 ping statistics ---
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 5 packets transmitted, 5 received, 0% packet loss, time 4000ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: rtt min/avg/max/mdev = 0.544/0.763/0.967/0.174 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out:

2018-08-19 22:46:22,340 - INFO - Ping to IP 92.231.138.252 from VM ctest-vm3-08653530 passed
2018-08-19 22:46:22,341 - INFO - Deleting VM ctest-vm3-08653530
2018-08-19 22:46:26,430 - INFO...

Sandip Dey (sandipd) wrote :
Download full text (25.0 KiB)

Hi Ram

We could not reproduce the problem in your setup.

Then we tried in our setup and its easily reproducible.Out of 3 vms, 2 did not get ips.

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

You can use my setup to compare if needed

https://10.204.217.246:9443/

username:<email address hidden>

password: Contrail123!

The config files are https://github.com/Juniper/contrail-tools/tree/R5.0/yamls/vcenter/c4_clutser/multi-interface

Regards
Sandip

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:03 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram

We are trying in your setup.Will let you know.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 11:58 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Single ping test passed.

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
Tests running...

2018-08-19 22:46:07,024 - INFO - Ping to IP 92.231.138.250 from VM ctest-vm1-09003512 passed
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] sudo: ping -s 56 -c 5 -W 1 92.231.138.252
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: PING 92.231.138.252 (92.231.138.252) 56(84) bytes of data.
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=1 ttl=64 time=0.967 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=2 ttl=64 time=0.601 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=3 ttl=64 time=0.938 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=4 ttl=64 time=0.544 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out: 64 bytes from 92.231.138.252: icmp_req=5 ttl=64 time=0.769 ms
[ubuntu@169.254.0.7<mailto:ubuntu@169.254.0.7>] out:
[ubuntu@169.254.0....

Marcin (marcin.codi) wrote :
  • image001.png Edit (2.5 KiB, image/png; name="image001.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
  • image002.png Edit (2.5 KiB, image/png; name="image002.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
Download full text (24.4 KiB)

Hi Sandip,

Could you please check on your test environment the following issues?

1. Verify if hostnames on ContrailVM virtual machines are unique - hostname as in the name of the host as reported by the OS, not vCenter VM name (verify the output of 'hostname' command on ContrailVM shell, and the content of /etc/hostname file)

2. Verify if docker containers of contrail-vrouter-agent on ContrailVMs also have unique hostnames (run bash inside the container and check output of 'hostname' command and the content of /etc/hostname file inside the container)

3. Verify if there are port errors (vrf-name) in vrouter-agent introspect on ContrailVMs (http://localhost:8085/Snh_ItfReq)

The above issues may cause problems with assigning IP addresses to the VMs (we came across such cases during development).

Could you let us know if the above issues are correct?

(+cc Krzysztof Gromadzki and Artur Debski)

Also, we could help in more detail, if we could look at the failing testing environment, but we have trouble getting in via VPN.

We want to access the vCenter at 10.204.217.246:9443 and Contrail Controller at 10.204.216.61.

Those machines respond to ping but we are unable to access the UIs via browser or login via SSH.

Do you have the possibility to verify if this access works?

Thanks,

--

Marcin Orkiszewski
Project Manager
+48 736 658 288
<email address hidden>

CodiLime Sp. z o.o. - Ltd. company with its registered office in Poland, 02-493 Warsaw, ul. Krancowa 5.Registered by The District Court for the Capital City of Warsaw, XII Commercial Department of the National Court Register.Entered into National Court Register under No. KRS 0000388871. Tax identification number (NIP) 5272657478. Statistical number (REGON) 142974628.

Od: Sandip Dey <email address hidden>
Data: poniedziałek, 20 sierpnia 2018 14:25
Do: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
DW: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Temat: Re: steps to run sanity on vCenter local setup's

Hi Ram

We could not reproduce the problem in your setup.

Then we tried in our setup and its easily reproducible.Out of 3 vms, 2 did not get ips.

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

You can use my setup to compare if needed

https://10.204.217.246:9443/

username:<email address hidden>

password: Contrail123!

The config files are https://github.com/Juniper/contrail-tools/tree/R5.0/yamls/vcenter/c4_clutser/multi-interface

Regards

Sandip

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 12:03 PM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <amudha@...

Sandip & Ram,
  Can we see if problem follows contrail-version or vcenter setup ?
  Sandip can try contrail-master & Ram can try ocata-5.0-168.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 5:25 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

Sandip Dey (sandipd) wrote :
Download full text (33.9 KiB)

Hi Marcin

Magda had access to the this environment.Could you check with her.She once accessed my setup.

Response inline….

Regards
Sandip

From: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 9:44 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>, Artur Dębski <<email address hidden><mailto:<email address hidden>>>, Krzysztof Gromadzki <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sandip,

Could you please check on your test environment the following issues?
1. Verify if hostnames on ContrailVM virtual machines are unique - hostname as in the name of the host as reported by the OS, not vCenter VM name (verify the output of 'hostname' command on ContrailVM shell, and the content of /etc/hostname file)

+++sandipd:The hostnames are different in 3 contrail-vms.If hostnames are same,vrouter agent does not come up.Just pasting output from one contrail-vm

[root@nodek4-compute-vm ~]#

[root@nodek4-compute-vm ~]# docker ps

CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES

be477c351f85 10.204.217.152:5000/contrail-vcenter-manager:ocata-5.0-168 "/entrypoint.sh /b..." 4 hours ago Up 4 hours vcenter_manager_vcenter-manager_1

9f2ae0c8d086 10.204.217.152:5000/contrail-vrouter-agent:ocata-5.0-168 "/entrypoint.sh /u..." 4 hours ago Up 4 hours vrouter_vrouter-agent_1

f39c578866e8 10.204.217.152:5000/contrail-nodemgr:ocata-5.0-168 "/entrypoint.sh /b..." 4 hours ago Up 4 hours vrouter_nodemgr_1

[root@nodek4-compute-vm ~]# docker exec -it 9f2ae0c8d086 bash

(vrouter-agent)[root@nodek4-compute-vm /]$ hostname

nodek4-compute-vm

(vrouter-agent)[root@nodek4-compute-vm /]$ cat /etc/hostname

nodek4-compute-vm

(vrouter-agent)[root@nodek4-compute-vm /]$

2. Verify if docker containers of contrail-vrouter-agent on ContrailVMs also have unique hostnames (run bash inside the container and check output of 'hostname' command and the content of /etc/hostname file inside the container)

+++sandipd: Replied as above

3. Verify if there are port errors (vrf-name) in vrouter-agent introspect on ContrailVMs (http://localhost:8085/Snh_ItfReq<https://urldefense.proofpoint.com/v2/url?u=http-3A__localhost-3A8085_Snh-5FItfReq&d=DwMFaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=b7PJzRwbDQaU6gBbFUYQ2YG2JQ38BVg-K_abJhaqVYI&m=tyJaHogLeLlbq3r0o8...

Sandip Dey (sandipd) wrote :

Hi Sachin

We tried master first.But the setup was not coming up.All the services were down.Then we tried R5.0,which came up fine.
Will try master in single interface.Lets see.

Regards
Sandip

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:00 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip & Ram,
  Can we see if problem follows contrail-version or vcenter setup ?
  Sandip can try contrail-master & Ram can try ocata-5.0-168.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:25 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sachin

We tried master first.But the setup was not coming up.All the services were down.Then we tried R5.0,which came up fine.
Will try master in single interface.Lets see.

Regards
Sandip

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:00 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip & Ram,
  Can we see if problem follows contrail-version or vcenter setup ?
  Sandip can try contrail-master & Ram can try ocata-5.0-168.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:25 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

aswani kumar (aswanikumar90) wrote :

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sachin

We tried master first.But the setup was not coming up.All the services were down.Then we tried R5.0,which came up fine.
Will try master in single interface.Lets see.

Regards
Sandip

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:00 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip & Ram,
  Can we see if problem follows contrail-version or vcenter setup ?
  Sandip can try contrail-master & Ram can try ocata-5.0-168.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:25 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

In your setup you have contrail-master + vcenter Version 6.5.0.13000 Build 7515524

I am running contrail ocata-5.0-168 + vcenter Version 6.5.0 Build 5705665

ram yadav (ryadav) wrote :
Download full text (3.6 KiB)

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sachin

We tried master first.But the setup was not coming up.All the services were down.Then we tried R5.0,which came up fine.
Will try master in single interface.Lets see.

Regards
Sandip

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:00 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip & Ram,
  Can we see if problem follows contrail-version or vcenter setup ?
  Sandip can try contrail-master & Ram can try ocata-5.0-168.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:25 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:sudheendra@junipe...

Read more...

Sandip Dey (sandipd) wrote :
Download full text (5.0 KiB)

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Madhava Rao Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity ...

Read more...

ram yadav (ryadav) wrote :
Download full text (5.6 KiB)

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 10:12 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Madhava Rao Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monda...

Read more...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (4.4 KiB)

Ram,

    We can’t latest mainline builds, as your fix for reverting to old plugin has merged.
I think build221 is the last build which has code for distributed plugin.

I don’t think we need UI to reproduce the problem, sanity TCs can be run to verify them.
I do see good report for build221, 218 and 215, should be fine using any of these …

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:40 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sachin

We tried master first.But the setup was not coming up.All the services were down.Then we tried R5.0,which came up fine.
Will try master in single interface.Lets see.

Regards
Sandip

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:00 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <marcin.or...

Read more...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (6.2 KiB)

As I said in the other email, R5.1 is also been backed out to old plugin:

https://bugs.launchpad.net/juniperopenstack/+bug/1784509

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:44 PM
To: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 10:12 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto...

Read more...

aswani kumar (aswanikumar90) wrote :
Download full text (6.2 KiB)

https://bugs.launchpad.net/juniperopenstack/+bug/1784509

https://review.opencontrail.org/#/c/45328/

This bug commit shows we reverted back in mainline.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:44 PM
To: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 10:12 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani ...

Read more...

ram yadav (ryadav) wrote :
Download full text (5.0 KiB)

Sudhee,
Revert was only checked in on 5.0.1 and not mainline.
I looked at github, it’s not reverted on mainline.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Monday, August 20, 2018 at 10:15 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

    We can’t latest mainline builds, as your fix for reverting to old plugin has merged.
I think build221 is the last build which has code for distributed plugin.

I don’t think we need UI to reproduce the problem, sanity TCs can be run to verify them.
I do see good report for build221, 218 and 215, should be fine using any of these …

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:40 PM
To: Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 10:06 AM
To: Sachchidanand Vaidya <email address hidden>, Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can you guys let me know the fixes
I am bringing up ocata-master-221

Thanks,
Aswani Kumar

From: Sachchidanand Vaidya <email address hidden>
Date: Monday, 20 August 2018 at 10:33 PM
To: Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram tried “master-221” based on Jeba’s input. He had to do few more fixes to get it to work.

Thanks,
Sachin

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 9:46 AM
To: Sachchidanand Vaidya <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sachin

We tried master first.But the set...

Read more...

amudhar (amudha) wrote :
Download full text (7.3 KiB)

Revert "vCenter: Remove task for VM DVS port groups and add plan config”
Only the above provisioning code was reverted from master as well in the below commit, as the DVS port group addition was needed with distributed plugin as well.
http://github.com/Juniper/contrail-ansible-deployer/commit/f7d4ec1d656c093dc43973223895eb1df92ede38

Like Ram has indicated, the rest of the plugin changes were not reverted from master.

Thanks,
Amudha

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:21 PM
To: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Revert was only checked in on 5.0.1 and not mainline.
I looked at github, it’s not reverted on mainline.

Thanks,
Ram

From: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:15 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

    We can’t latest mainline builds, as your fix for reverting to old plugin has merged.
I think build221 is the last build which has code for distributed plugin.

I don’t think we need UI to reproduce the problem, sanity TCs can be run to verify them.
I do see good report for build221, 218 and 215, should be fine using any of these …

Thanks,
Sudhee.

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any af...

Read more...

ram yadav (ryadav) wrote :
Download full text (7.2 KiB)

Aswani,
The problem is happening due to multiple commit for multiple fixes under single PR, distributed plugin was not backed out in mainline.
https://review.opencontrail.org/#/c/45328/ is required regardless of what plugin model we use.
The above need to be fixed properly, where only PVLAN configuration are not done but port group is still created. But this will not impact any functional behavior.
Mainline has the distributed plugin. Please try any release after master 230.

Amudha,
Can we fix the issue in above review by only removing PVLAN addition logic.

Thanks,
Ram

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 10:18 AM
To: Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

https://bugs.launchpad.net/juniperopenstack/+bug/1784509

https://review.opencontrail.org/#/c/45328/

This bug commit shows we reverted back in mainline.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:44 PM
To: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 10:12 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Don’t try master 221, as that will require manual patching for redis issue otherwise UI will not work( Biswajit applied the patch).
Can you try master-230 or any after that?

-ram

From: A...

Read more...

amudhar (amudha) wrote :
Download full text (8.7 KiB)

Yes, I will fix - removing PVLAN addition while provisioning and raise review.

Thanks,
Amudha

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:35 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
The problem is happening due to multiple commit for multiple fixes under single PR, distributed plugin was not backed out in mainline.
https://review.opencontrail.org/#/c/45328/ is required regardless of what plugin model we use.
The above need to be fixed properly, where only PVLAN configuration are not done but port group is still created. But this will not impact any functional behavior.
Mainline has the distributed plugin. Please try any release after master 230.

Amudha,
Can we fix the issue in above review by only removing PVLAN addition logic.

Thanks,
Ram

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:18 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

https://bugs.launchpad.net/juniperopenstack/+bug/1784509

https://review.opencontrail.org/#/c/45328/

This bug commit shows we reverted back in mainline.

Thanks,
Aswani Kumar

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 10:44 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Madhava Rao Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20...

Read more...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (7.9 KiB)

Oh this is not good, we shouldn’t be committing multiple fixes under one PR, it’s very confusing.
We went by the description of the bug.

Anyways, the sanity on build241 of mainline was fine, please use that.

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:05 PM
To: Aswani Kumar Gaddam <email address hidden>, Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Aswani,
The problem is happening due to multiple commit for multiple fixes under single PR, distributed plugin was not backed out in mainline.
https://review.opencontrail.org/#/c/45328/ is required regardless of what plugin model we use.
The above need to be fixed properly, where only PVLAN configuration are not done but port group is still created. But this will not impact any functional behavior.
Mainline has the distributed plugin. Please try any release after master 230.

Amudha,
Can we fix the issue in above review by only removing PVLAN addition logic.

Thanks,
Ram

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 10:18 AM
To: Ram Yadav <email address hidden>, Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

https://bugs.launchpad.net/juniperopenstack/+bug/1784509

https://review.opencontrail.org/#/c/45328/

This bug commit shows we reverted back in mainline.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 10:44 PM
To: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Madhava Rao Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Yes, we haven’t backed out the distributed plugin from mainline. You can look at the sanity and see which is stable release after 230.

From: Sandip Dey <email address hidden>
Date: Monday, August 20, 2018 at 10:12 AM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Build 230 is having distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 10:40 PM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya...

Read more...

ram yadav (ryadav) wrote :
Download full text (9.1 KiB)

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 only and not server1?
If there is no requirement then it just a matter of changing the name in your vcenter_vars.yaml and you are not blocked from testing.

Thanks,
Sudhee.
Sent from my iPhone

On 19-Aug-2018, at 3:38 AM, Ram Yadav <<email address hidden><mailto:<email address hidden>>> wrote:
Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[root@10.84.16.10<mailto:root@10.84.16.10>] out: Created symlink from /etc/systemd/system/multi-user.target.wants/nfs-server.service to /usr/lib/systemd/system/nfs-server.service.
[root@10.84.16.10<mailto:root@10.84.16.10>] out:

[root@10.84.16.10<mailto:root@10.84.16.10>] sudo: systemctl start nfs-server.service
======================================================================
ERROR: setUpClass (scripts.vm_regression.test_vm_basic.TestBasicVMVN)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "scripts/vm_regression/test_vm_basic.py", line 27, in setUpClass
...

Read more...

aswani kumar (aswanikumar90) wrote :
Download full text (9.7 KiB)

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 only and not server1?
If there is no requirement then it just a matter of changing the name in your vcenter_vars.yaml and you are not blocked from testing.

Thanks,
Sudhee.
Sent from my iPhone

On 19-Aug-2018, at 3:38 AM, Ram Yadav <<email address hidden><mailto:<email address hidden>>> wrote:
Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that automation code expects that vcenter_vars.yaml has ‘server1’ only under ‘vcenter_servers’, anything else will result in error.

Change all occurrence of SRV1 in vcenter_vars.yaml to server1 and launch new test container using test_runner.sh
I tried and it got past that stage, but seeing below error, I don’t understand this, please check – the test container is ab0e1c12eb88

[root@ab0e1c12eb88 contrail-test]# python -m testtools.run scripts.vm_regression.test_vm_basic.TestBasicVMVN.test_ping_within_vn
:
:

[...

Read more...

ram yadav (ryadav) wrote :
Download full text (10.2 KiB)

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 only and not server1?
If there is no requirement then it just a matter of changing the name in your vcenter_vars.yaml and you are not blocked from testing.

Thanks,
Sudhee.
Sent from my iPhone

On 19-Aug-2018, at 3:38 AM, Ram Yadav <<email address hidden><mailto:<email address hidden>>> wrote:
Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Date: Saturday, August 18, 2018 at 4:15 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    Sandip had already mentioned that a...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (11.0 KiB)

Ram,

   On this setup also with R5.0 the problem was seen and both these setups (Sandip’s & Aswani’s) are using same vcenter server.
So problem doesn’t seems to be with vcenter server version.

Can you please update your finding with R5.0 on your setup?

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Tuesday, 21 August 2018 at 1:26 AM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 only and not server1?
If there is no requirement then it just a matter of changing the name in your vcenter_vars.yaml and you are not blocked from testing.

Thanks,
Sudhee.
Sent from my iPhone

On 19-Aug-2018, at 3:38 AM, Ram Yadav <<email address hidden><mailto:<email address hidden>>> wrote:
Hi Sudhee,
I picked the latest master test container from master 241, I thought Sandip removed the dependency and checked in the fix.
Can you have him check-in the fix?

Regards,
Ram

From: Sudheendr...

ram yadav (ryadav) wrote :
Download full text (11.5 KiB)

I will update it once I’m able to set on my setup.

From: Sudheendra Rao <email address hidden>
Date: Monday, August 20, 2018 at 1:04 PM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

   On this setup also with R5.0 the problem was seen and both these setups (Sandip’s & Aswani’s) are using same vcenter server.
So problem doesn’t seems to be with vcenter server version.

Can you please update your finding with R5.0 on your setup?

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Tuesday, 21 August 2018 at 1:26 AM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make out that it’s not fixed.
Anyways we will fix this, but is there a requirement that you have to use SRV1 ...

Hi Adrian,
   Can you update the status on following bugs.

Thanks
Sachin

R5.0.2
21

1779309<https://bugs.launchpad.net/juniperopenstack/+bug/1779309>

"vcenter only distributed plugin:Port not created by cvm"

Critical

r5.0.2

New

Adrian Szczepanski
adrian.szczepanski

2018-08-07

49 Days

R5.1
42

1779309<https://bugs.launchpad.net/juniperopenstack/+bug/1779309>

"vcenter only distributed plugin:Port not created by cvm"

Critical

r5.1.0

New

Adrian Szczepanski
adrian.szczepanski

2018-08-07

49 Days

35

1776844<https://bugs.launchpad.net/juniperopenstack/+bug/1776844>

"contrail vcenter manager passees wrong argument to delete_vm"

High

r5.1.0

In Progress

Adrian Szczepanski
adrian.szczepanski

2018-06-21

64 Days

30

1775536<https://bugs.launchpad.net/juniperopenstack/+bug/1775536>

"contrail-vcenter-manager config file location"

High

r5.1.0

In Progress

Adrian Szczepanski
adrian.szczepanski

2018-06-21

71 Days

28

1774662<https://bugs.launchpad.net/juniperopenstack/+bug/1774662>

"Add support for vMotion"

Undecided

r5.1.0

In Progress

Adrian Szczepanski
adrian.szczepanski

2018-06-07

77 Days

27

1774661<https://bugs.launchpad.net/juniperopenstack/+bug/1774661>

"Add VmReconfiguredEvent Handler to vcenter-manager"

Undecided

r5.1.0

In Progress

Adrian Szczepanski
adrian.szczepanski

2018-06-07

77 Days

Download full text (11.6 KiB)

+jeba, abhay.

Hi Jeba/Abhay,
Where to find release ocata-5.0-168?
I couldn’t find it on ci-repo.englab.juniper.net (10.84.5.81:5010).

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Monday, August 20, 2018 at 1:04 PM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

   On this setup also with R5.0 the problem was seen and both these setups (Sandip’s & Aswani’s) are using same vcenter server.
So problem doesn’t seems to be with vcenter server version.

Can you please update your finding with R5.0 on your setup?

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Tuesday, 21 August 2018 at 1:26 AM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Saturday, August 18, 2018 at 8:26 PM
To: Ram Yadav <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram,

    The error is same as that we saw earlier and we can make o...

ram yadav (ryadav) wrote :
Download full text (12.1 KiB)

Forgot to add Jeba and abhay.

From: Ram Yadav <email address hidden>
Date: Monday, August 20, 2018 at 3:07 PM
To: Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

+jeba, abhay.

Hi Jeba/Abhay,
Where to find release ocata-5.0-168?
I couldn’t find it on ci-repo.englab.juniper.net (10.84.5.81:5010).

Thanks,
Ram

From: Sudheendra Rao <email address hidden>
Date: Monday, August 20, 2018 at 1:04 PM
To: Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

   On this setup also with R5.0 the problem was seen and both these setups (Sandip’s & Aswani’s) are using same vcenter server.
So problem doesn’t seems to be with vcenter server version.

Can you please update your finding with R5.0 on your setup?

Thanks,
Sudhee.

From: Ram Yadav <email address hidden>
Date: Tuesday, 21 August 2018 at 1:26 AM
To: Aswani Kumar Gaddam <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <email address hidden>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <email address hidden>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <email address hidden>
Cc: Sandip Dey <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this to be the first issue to be looked at.

Thanks,
Ram

From: Sudheendra Rao <<email address hidden>...

ram yadav (ryadav) wrote :
Download full text (18.4 KiB)

Hi Abhay,
I tried getting the image from Bangalore registry but it timeouts.

TASK [install_contrail : update image] *************************************************************************************************************************************************************

failed: [10.84.16.23] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.032686", "end": "2018-08-20 16:04:29.251094", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.218408", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.035015", "end": "2018-08-20 16:04:29.273194", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.238179", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.23] (item=contrail-nodemgr) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-nodemgr:ocata-5.0-168", "delta": "0:00:45.030576", "end": "2018-08-20 16:05:14.792332", "item": "contrail-nodemgr", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:04:29.761756", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-nodemgr) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-nodemgr:ocata-5.0-168", "delta": "0:00:45.029793", "end": "2018-08-20 16:05:14.790406", "item": "contrail-nodemgr", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:04:29.760613", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.23] (item=contrail-vrouter-kernel-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-vrouter-kernel-init:ocata-5.0-168", "delta": "0:00:45.025981", "end": "2018-08-20 16:06:00.304874", "item": "contrail-vrouter-kernel-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:05:15.278893", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_l...

Hi Sachin,

This week, Adrian is currently on vacation.

@Krzysztof – could you verify the status on following bugs?

Thanks,

--

Marcin Orkiszewski

Od: Sachchidanand Vaidya <email address hidden>
Data: poniedziałek, 20 sierpnia 2018 22:56
Do: Adrian Szczepański <email address hidden>, Marcin Orkiszewski <email address hidden>
Temat: R5.0.2 & R5.1 bugs

Hi Adrian,

   Can you update the status on following bugs.

Thanks

Sachin

R5.0.2

211779309"vcenter only distributed plugin:Port not created by cvm"Criticalr5.0.2NewAdrian Szczepanski
adrian.szczepanski2018-08-0749 Days

R5.1

421779309"vcenter only distributed plugin:Port not created by cvm"Criticalr5.1.0NewAdrian Szczepanski
adrian.szczepanski2018-08-0749 Days
351776844"contrail vcenter manager passees wrong argument to delete_vm"Highr5.1.0In ProgressAdrian Szczepanski
adrian.szczepanski2018-06-2164 Days
301775536"contrail-vcenter-manager config file location"Highr5.1.0In ProgressAdrian Szczepanski
adrian.szczepanski2018-06-2171 Days
281774662"Add support for vMotion"Undecidedr5.1.0In ProgressAdrian Szczepanski
adrian.szczepanski2018-06-0777 Days
271774661"Add VmReconfiguredEvent Handler to vcenter-manager"Undecidedr5.1.0In ProgressAdrian Szczepanski
adrian.szczepanski2018-06-0777 Days

--

-------------------------------
The information in this email is
confidential and may be legally privileged, it may contain information that
is confidential in CodiLime Sp. z o. o. It is intended solely for the
addressee. Any access to this email by third parties is unauthorized. If
you are not the intended recipient of this message, any disclosure,
copying, distribution or any action undertaken or neglected in reliance
thereon is prohibited and may result in your liability for damages.

  • image001.png Edit (4.5 KiB, image/png; name="image001.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
  • image002.png Edit (1.1 KiB, image/png; name="image002.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
  • image003.png Edit (2.5 KiB, image/png; name="image003.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
  • image004.png Edit (2.5 KiB, image/png; name="image004.png"; x-mac-creator="4F50494D"; x-mac-type="504E4766")
Download full text (27.5 KiB)

Rozumiem że z odpowiedzi Sandipa wynika że wszystko OK?

--

Marcin Orkiszewski

Od: Sandip Dey <email address hidden>
Data: poniedziałek, 20 sierpnia 2018 18:39
Do: Marcin Orkiszewski <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
DW: Adrian Szczepański <email address hidden>, Amudha R <email address hidden>, Artur Dębski <email address hidden>, Krzysztof Gromadzki <email address hidden>
Temat: Re: steps to run sanity on vCenter local setup's

Hi Marcin

Magda had access to the this environment.Could you check with her.She once accessed my setup.

Response inline….

Regards

Sandip

From: Marcin Orkiszewski <email address hidden>
Date: Monday, August 20, 2018 at 9:44 PM
To: Sandip Dey <email address hidden>, Ram Yadav <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Adrian Szczepański <email address hidden>, Amudha R <email address hidden>, Artur Dębski <email address hidden>, Krzysztof Gromadzki <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sandip,

Could you please check on your test environment the following issues?

1. Verify if hostnames on ContrailVM virtual machines are unique - hostname as in the name of the host as reported by the OS, not vCenter VM name (verify the output of 'hostname' command on ContrailVM shell, and the content of /etc/hostname file)

+++sandipd:The hostnames are different in 3 contrail-vms.If hostnames are same,vrouter agent does not come up.Just pasting output from one contrail-vm

[root@nodek4-compute-vm ~]#

[root@nodek4-compute-vm ~]# docker ps

CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES

be477c351f85 10.204.217.152:5000/contrail-vcenter-manager:ocata-5.0-168 "/entrypoint.sh /b..." 4 hours ago Up 4 hours vcenter_manager_vcenter-manager_1

9f2ae0c8d086 10.204.217.152:5000/contrail-vrouter-agent:ocata-5.0-168 "/entrypoint.sh /u..." 4 hours ago Up 4 hours vrouter_vrouter-agent_1

f39c578866e8 10.204.217.152:5000/contrail-nodemgr:ocata-5.0-168 "/entrypoint.sh /b..." 4 hours ago Up 4 hours vrouter_nodemgr_1

[root@nodek4-compute-vm ~]# docker exec -it 9f2ae0c8d086 bash

(vrouter-agent)[root@nodek4-compute-vm /]$ hostname

nodek4-compute-vm

(vrouter-agent)[root@nodek4-compute-vm /]$ cat /etc/hostname

nodek4-compute-vm

(vrouter-agent)[root@nodek4-compute-vm /]$

2. Verify if docker containers of contrail-vrouter-agent on ContrailVMs also have unique hostnames (run bash inside the container and check output of 'hostname' command and the content of /etc/hostname file inside the container)

+++sandipd: Replied as above

3. Verify if there are port errors ...

Sandip Dey (sandipd) wrote :
Download full text (12.4 KiB)

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sudhee,
Let us know when this fix is checked-in, lot of people will start using the test containers and we don’t want this t...

Sudheendra Rao (sudheendra-k) wrote :
Download full text (12.7 KiB)

Thanks Sandip and Aswani for narrow downing the problem.

Sachin/Ram, as Sandip pointed out, code difference is causing the problem between 5.0 and mainline, can you please confirm?
Also can you please explain the reason for this?

Thanks,
Sudhee.

Sent from my iPhone

On 21-Aug-2018, at 4:01 PM, Sandip Dey <<email address hidden><mailto:<email address hidden>>> wrote:

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, 20 August 2018 at 11:49 PM
To: Madhava Rao Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <marcin.orkiszewski@codi...

ram yadav (ryadav) wrote :
Download full text (13.4 KiB)

Hi Sandip,
"3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.”

Above is what I requested you to try in your setup as requested by Vmware, and you tried and reported that it doesn’t solve the issue.
What is the difference between what you tried then and what the CVM is doing now?

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mail...

ram yadav (ryadav) wrote :
Download full text (13.1 KiB)

Can you provide setup details for both 5.0 and master-235?

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try similar setup to where the problem was recreated on 5.0 ?

From: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 12:41 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Ram,

Tried mainline-ocata-235 single interface
Not able to reproduce the problem
Launched like 8 vms manually and through script all of them got ip.

Thanks,
Aswani Kumar

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Mon...

Abhay Joshi (abhayj) wrote :
Download full text (19.0 KiB)

Hi Vinay/Mithun,

Can you please help Ram?

Thanks,

Abhay

From: Ram Yadav <email address hidden>
Date: Monday, August 20, 2018 at 5:29 PM
To: Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Jeba Paulaiyan <email address hidden>, Abhay Joshi <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Abhay,
I tried getting the image from Bangalore registry but it timeouts.

TASK [install_contrail : update image] *************************************************************************************************************************************************************

failed: [10.84.16.23] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.032686", "end": "2018-08-20 16:04:29.251094", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.218408", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.035015", "end": "2018-08-20 16:04:29.273194", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.238179", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.23] (item=contrail-nodemgr) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-nodemgr:ocata-5.0-168", "delta": "0:00:45.030576", "end": "2018-08-20 16:05:14.792332", "item": "contrail-nodemgr", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:04:29.761756", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-nodemgr) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-nodemgr:ocata-5.0-168", "delta": "0:00:45.029793", "end": "2018-08-20 16:05:14.790406", "item": "contrail-nodemgr", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:04:29.760613", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.2...

ram yadav (ryadav) wrote :
Download full text (14.1 KiB)

Sandip,
I removed the code for adding vlan trunk from CVM and replaced the CVM is my setup.
It’s based on the master-235. I couldn’t reproduce the issue by manually launching the VM’s.
I wasn’t able to launch the test container since ci-repo(10.84.5.81:5010) in sunnyvale went down.

Can you try reproducing the issue on my setup at 10.84.16.10.

From Vmware testing we know that when your system was in failed state and any modification on VM PG manually used to bring the system out of the failed state.
Master 235 steps you have listed below is programmatically doing the same thing which we where manually doing.
But if we can re-produce the issue on my setup I can apply the modified patch with PG having trunking change and see if works consistently then at least it can be a work around.

We will also try just the PG with trunk configuration with vlan override at PG create time to see if it works ( if this works then we can use this as fix, also ask VMware if it’s right configuration).
This would be preferred fix if it works.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Can we try simi...

ram yadav (ryadav) wrote :
Download full text (22.1 KiB)

Hi Vinay/Mithun,
Please copy image ocata-5.0-168 from bangalore to sunnyvale registry?
Thanks,
Ram

From: Abhay Joshi <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 2:07 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>, Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Vinay/Mithun,

Can you please help Ram?

Thanks,

Abhay

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:29 PM
To: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Abhay Joshi <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Abhay,
I tried getting the image from Bangalore registry but it timeouts.

TASK [install_contrail : update image] *************************************************************************************************************************************************************

failed: [10.84.16.23] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.032686", "end": "2018-08-20 16:04:29.251094", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.218408", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.035015", "end": "2018-08-20 16:04:29.273194", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.238179", "stderr": "Error response from daemon: Get htt...

Mithun Mistry (mmithun) wrote :
Download full text (19.7 KiB)

Hi Ram ,

Will update you in some time.

Regards,

Mithun

From: Abhay Joshi <email address hidden>
Date: Wednesday, 22 August 2018 at 2:37 AM
To: Ram Yadav <email address hidden>, Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Jeba Paulaiyan <email address hidden>, Vinay Vithal Mahuli <email address hidden>, Mithun Mistry <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Vinay/Mithun,

Can you please help Ram?

Thanks,

Abhay

From: Ram Yadav <email address hidden>
Date: Monday, August 20, 2018 at 5:29 PM
To: Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Jeba Paulaiyan <email address hidden>, Abhay Joshi <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Abhay,
I tried getting the image from Bangalore registry but it timeouts.

TASK [install_contrail : update image] *************************************************************************************************************************************************************

failed: [10.84.16.23] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.032686", "end": "2018-08-20 16:04:29.251094", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.218408", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.24] (item=contrail-node-init) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-node-init:ocata-5.0-168", "delta": "0:00:45.035015", "end": "2018-08-20 16:04:29.273194", "item": "contrail-node-init", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:03:44.238179", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stderr_lines": ["Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout"], "stdout": "", "stdout_lines": []}

failed: [10.84.16.23] (item=contrail-nodemgr) => {"changed": true, "cmd": "docker pull 10.214.217.152:5000/contrail-nodemgr:ocata-5.0-168", "delta": "0:00:45.030576", "end": "2018-08-20 16:05:14.792332", "item": "contrail-nodemgr", "msg": "non-zero return code", "rc": 1, "start": "2018-08-20 16:04:29.761756", "stderr": "Error response from daemon: Get https://10.214.217.152:5000/v1/_ping: dial tcp 10.214.217.152:5000: i/o timeout", "stder...

Mithun Mistry (mmithun) wrote :
Download full text (23.0 KiB)

Hi Ram ,

The IP of bangalore registry is 10.204.217.152 and not 10.214.217.152 which you have used in the playbook.

Please try with this IP 10.204.217.152 .

Also the Sunnyvale registry is down right now and Kuljinder is working to fix it.

Let us know if you face any issues .

Regards,

Mithun

From: Ram Yadav <email address hidden>
Date: Wednesday, 22 August 2018 at 10:11 AM
To: Abhay Joshi <email address hidden>, Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Jeba Paulaiyan <email address hidden>, Vinay Vithal Mahuli <email address hidden>, Mithun Mistry <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Vinay/Mithun,
Please copy image ocata-5.0-168 from bangalore to sunnyvale registry?
Thanks,
Ram

From: Abhay Joshi <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 2:07 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>, Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Vinay/Mithun,

Can you please help Ram?

Thanks,

Abhay

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Monday, August 20, 2018 at 5:29 PM
To: Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Abhay Joshi <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Abhay,
I tried getting the image from Bangalore registry but it timeouts.

TASK [install_contrail : update image] *************************************************************************************************************************************************************

failed: [10.84.16.23] (item=contrail-node-i...

Sandip Dey (sandipd) wrote :
Download full text (14.4 KiB)

This is what I tried earlier

1.Create vn.
2.Changed the port group settings to trunk 0-4094
3.Launced vms in that port group without triggering any change in the port group after step 2.

The above did not work.I did not trigger the port group for every vm launched.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 12:31 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sandip,
"3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.”

Above is what I requested you to try in your setup as requested by Vmware, and you tried and reported that it doesn’t solve the issue.
What is the difference between what you tried then and what the CVM is doing now?

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.
4.VM gets ip

Aswani ran R5.0 build 168 and able to see the same problem(With master , he could not reproduce on the same setup).

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 1:26 AM
To: Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:vaidyasd...

ram yadav (ryadav) wrote :
Download full text (15.2 KiB)

Hi Sudhee,
Can you try to reproduce the issue with latest 5.0 and master build’s on your setup.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:50 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

This is what I tried earlier

1.Create vn.
2.Changed the port group settings to trunk 0-4094
3.Launced vms in that port group without triggering any change in the port group after step 2.

The above did not work.I did not trigger the port group for every vm launched.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 12:31 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sandip,
"3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.”

Above is what I requested you to try in your setup as requested by Vmware, and you tried and reported that it doesn’t solve the issue.
What is the difference between what you tried then and what the CVM is doing now?

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

I tried master-ocata-235 in my setup.The test passed.Below is the reason it passed

R5.0 steps
1.Create vn.java plugin creates the port group with vlan 0.
2.Cretae vm.CVM creates a port in port group with vlan xxx and vlan override.
3.VM does not get ip

Master 235 steps
 1.Create vn.java ...

Sandip Dey (sandipd) wrote :
Download full text (15.9 KiB)

Why?Latest 5.0 has distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:50 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sudhee,
Can you try to reproduce the issue with latest 5.0 and master build’s on your setup.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:50 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

This is what I tried earlier

1.Create vn.
2.Changed the port group settings to trunk 0-4094
3.Launced vms in that port group without triggering any change in the port group after step 2.

The above did not work.I did not trigger the port group for every vm launched.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 12:31 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sandip,
"3.CVM also changes the vlan config of the port group from vlan 0 to trunk 0-4094.This is the trigger which is causing the scenario to work in master.”

Above is what I requested you to try in your setup as requested by Vmware, and you tried and reported that it doesn’t solve the issue.
What is the difference between what you tried then and what the CVM is doing now?

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 3:31 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheen...

ram yadav (ryadav) wrote :
Download full text (16.9 KiB)

No, I will patch a modified vCenter plugin on your 5.0 setup so it has distributed plugin.
Then we will be at par from CVM perspective between 5.0 and mainline, and if the issue is not reproduced in your setup then we can proceed with sanity and QA for distributed plugin.
Let me know your 5.0 setup once your bring it up.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:23 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Why?Latest 5.0 has distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:50 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sudhee,
Can you try to reproduce the issue with latest 5.0 and master build’s on your setup.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:50 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

This is what I tried earlier

1.Create vn.
2.Changed the port group settings to trunk 0-4094
3.Launced vms in that port group without triggering any change in the port group after step 2.

The above did not work.I did not trigger the port group for every vm launched.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 12:31 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:sudheendra@juniper....

Sandip Dey (sandipd) wrote :
Download full text (17.9 KiB)

We have a R5.0 setup build 168, where the problem is reproduced.Can you patch your fixes there ? It already has cvm.That was what I discussed to Sachin today morning.

1.We will reproduce in R5.0 168
2.We would patch as per vmware suggestion
3.We test it.If works we would run sanity on it

Regards
Sandip
.
From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:57 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

No, I will patch a modified vCenter plugin on your 5.0 setup so it has distributed plugin.
Then we will be at par from CVM perspective between 5.0 and mainline, and if the issue is not reproduced in your setup then we can proceed with sanity and QA for distributed plugin.
Let me know your 5.0 setup once your bring it up.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:23 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Why?Latest 5.0 has distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:50 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Sudhee,
Can you try to reproduce the issue with latest 5.0 and master build’s on your setup.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:50 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailt...

ram yadav (ryadav) wrote :
Download full text (18.7 KiB)

Provide all your setup details:
Controller IP, vcenter IP, contrail VM IP.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:32 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

We have a R5.0 setup build 168, where the problem is reproduced.Can you patch your fixes there ? It already has cvm.That was what I discussed to Sachin today morning.

1.We will reproduce in R5.0 168
2.We would patch as per vmware suggestion
3.We test it.If works we would run sanity on it

Regards
Sandip
.
From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:57 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

No, I will patch a modified vCenter plugin on your 5.0 setup so it has distributed plugin.
Then we will be at par from CVM perspective between 5.0 and mainline, and if the issue is not reproduced in your setup then we can proceed with sanity and QA for distributed plugin.
Let me know your 5.0 setup once your bring it up.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:23 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Why?Latest 5.0 has distributed plugin?

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:50 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sa...

ram yadav (ryadav) wrote :
Download full text (19.5 KiB)

Sandip,
Did you manage to reproduce the issue on my setup as I requested?

Thanks,
Ram

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:34 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Provide all your setup details:
Controller IP, vcenter IP, contrail VM IP.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:32 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

We have a R5.0 setup build 168, where the problem is reproduced.Can you patch your fixes there ? It already has cvm.That was what I discussed to Sachin today morning.

1.We will reproduce in R5.0 168
2.We would patch as per vmware suggestion
3.We test it.If works we would run sanity on it

Regards
Sandip
.
From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:57 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

No, I will patch a modified vCenter plugin on your 5.0 setup so it has distributed plugin.
Then we will be at par from CVM perspective between 5.0 and mainline, and if the issue is not reproduced in your setup then we can proceed with sanity and QA for distributed plugin.
Let me know your 5.0 setup once your bring it up.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:23 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <sudheendra...

Sandip Dey (sandipd) wrote :
Download full text (19.6 KiB)

Controller : 10.204.217.139

https://10.204.217.246:9443/

username:<email address hidden>

password: Contrail123!

dc: i27_datacenter11
Contrail-vm: 10.204.217.181,10.204.217.204,10.204.217.229
All the required files are there in the controller

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 10:04 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Provide all your setup details:
Controller IP, vcenter IP, contrail VM IP.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:32 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

We have a R5.0 setup build 168, where the problem is reproduced.Can you patch your fixes there ? It already has cvm.That was what I discussed to Sachin today morning.

1.We will reproduce in R5.0 168
2.We would patch as per vmware suggestion
3.We test it.If works we would run sanity on it

Regards
Sandip
.
From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:57 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

No, I will patch a modified vCenter plugin on your 5.0 setup so it has distributed plugin.
Then we will be at par from CVM perspective between 5.0 and mainline, and if the issue is not reproduced in your setup then we can proceed with sanity and QA for distributed plugin.
Let me know your 5.0 setup once your bring it up.

Thanks,
Ram

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 a...

Sandip Dey (sandipd) wrote :
Download full text (20.5 KiB)

No.
Since , this is a modified mainline code,not R5.0 168,I feel there is still some difference.Below is the reason I am suspecting that

1.For r5.0 for each vm launch, we see one vmware task 'reconfigure dvPort’
2.But in your setup , I see 2 of them for each vm launch. So there is still some difference.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 10:08 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip,
Did you manage to reproduce the issue on my setup as I requested?

Thanks,
Ram

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:34 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Provide all your setup details:
Controller IP, vcenter IP, contrail VM IP.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:32 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

We have a R5.0 setup build 168, where the problem is reproduced.Can you patch your fixes there ? It already has cvm.That was what I discussed to Sachin today morning.

1.We will reproduce in R5.0 168
2.We would patch as per vmware suggestion
3.We test it.If works we would run sanity on it

Regards
Sandip
.
From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:57 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden>...

ram yadav (ryadav) wrote :
Download full text (21.3 KiB)

But the PG doesn’t have vlan trunking, the change we are suspecting to be causing the difference of behavior between 5.0-168 and mainline.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:45 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

No.
Since , this is a modified mainline code,not R5.0 168,I feel there is still some difference.Below is the reason I am suspecting that

1.For r5.0 for each vm launch, we see one vmware task 'reconfigure dvPort’
2.But in your setup , I see 2 of them for each vm launch. So there is still some difference.

Regards
Sandip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 10:08 PM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Sandip,
Did you manage to reproduce the issue on my setup as I requested?

Thanks,
Ram

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:34 AM
To: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Provide all your setup details:
Controller IP, vcenter IP, contrail VM IP.

From: Sandip Dey <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, August 22, 2018 at 9:32 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:marc...

ram yadav (ryadav) wrote :
Download full text (24.5 KiB)

Mithun/Vinay,
Did you sync the build 5.0-168 to sunnyvale registry?
I tried with proper IP for bangalore registry still same timeout issue.
Please expedite it.

Thanks,
Ram

From: Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:04 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Abhay Joshi <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>, Kuljinder Singh <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Ram ,

The IP of bangalore registry is 10.204.217.152 and not 10.214.217.152 which you have used in the playbook.

Please try with this IP 10.204.217.152 .

Also the Sunnyvale registry is down right now and Kuljinder is working to fix it.

Let us know if you face any issues .

Regards,

Mithun

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, 22 August 2018 at 10:11 AM
To: Abhay Joshi <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>, Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>
Subject: Re: steps to run sanity on vCenter local setup's

Hi Vinay/Mithun,
Please copy image ocata-5.0-168 from bangalore to sunnyvale registry?
Thanks,
Ram

From: Abhay Joshi <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 2:07 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>, Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidy...

Mithun Mistry (mmithun) wrote :
Download full text (26.6 KiB)

Hi Ram ,

I have pushed ocata-5.0-168 tags to ci-repo .
The ci-repo machine is does not have much free space and is cleaned up to retain only last 15 days images .
So we are pushing this old tag as a one-time activity and note that the older images will be cleaned up soon .
So if in future you require older tags please make sure you get connectivity to Bangalore repo fixed or get the images from ci-repo backup from Kuljinder.

The following images are not available in bangalore registry and has not been pushed .

Pulling repository localhost:5000/contrail-command
Error: image contrail-command:ocata-5.0-168 not found

Pulling repository localhost:5000/contrail-command-deployer
Error: image contrail-command-deployer:ocata-5.0-168 not found

4228d18e2f29 and ocata-5.0-168
Pulling repository localhost:5000/contrail-external-dhcp
Error: image contrail-external-dhcp:ocata-5.0-168 not found

Pulling repository localhost:5000/contrail-external-redis
Error: image contrail-external-redis:ocata-5.0-168 not found

Pulling repository localhost:5000/contrail-external-tftp
Error: image contrail-external-tftp:ocata-5.0-168 not found

Pulling repository localhost:5000/contrail-go
Error: image contrail-go:ocata-5.0-168 not found

Pulling repository localhost:5000/contrail-vrouter-plugin-mellanox-init-redhat
Error: image contrail-vrouter-plugin-mellanox-init-redhat:ocata-5.0-168 not found

Regards,

Mithun

From: Ram Yadav <email address hidden>
Date: Thursday, 23 August 2018 at 9:33 AM
To: Mithun Mistry <email address hidden>, Abhay Joshi <email address hidden>, Sudheendra Rao <email address hidden>, Aswani Kumar Gaddam <email address hidden>, Jeba Paulaiyan <email address hidden>, Vinay Vithal Mahuli <email address hidden>
Cc: Sandip Dey <email address hidden>, Sachchidanand Vaidya <email address hidden>, Marcin Orkiszewski <email address hidden>, Adrian Szczepański <email address hidden>, Amudha R <email address hidden>, Kuljinder Singh <email address hidden>
Subject: Re: steps to run sanity on vCenter local setup's

Mithun/Vinay,
Did you sync the build 5.0-168 to sunnyvale registry?
I tried with proper IP for bangalore registry still same timeout issue.
Please expedite it.

Thanks,
Ram

From: Mithun Mistry <<email address hidden><mailto:<email address hidden>>>
Date: Tuesday, August 21, 2018 at 10:04 PM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>, Abhay Joshi <<email address hidden><mailto:<email address hidden>>>, Sudheendra Rao <<email address hidden><mailto:<email address hidden>>>, Aswani Kumar Gaddam <<email address hidden><mailto:<email address hidden>>>, Jeba Paulaiyan <<email address hidden><mailto:<email address hidden>>>, Vinay Vithal Mahuli <<email address hidden><mailto:<email address hidden>>>
Cc: Sandip Dey <<email address hidden><mailto:<email address hidden>>>, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Marcin Orkiszewski <<email address hidden><mailto:<email address hidden>>>, Adrian Szczepański <<email address hidden><mailto:<email address hidden>>>, Amudha R <<email address hidden><mailto:<email address hidden>>>, Kuljinder Singh <kuljinder@j...

@Mithun Mistry<mailto:<email address hidden>>

I don’t get access to it yet. If I need to access by <email address hidden><mailto:<email address hidden>>, please let me know.

Thanks
/Charlie

From: "Charlie (Chang-Hyun) Kim" <email address hidden>
Date: Tuesday, August 21, 2018 at 1:08 PM
To: Mithun Mistry <email address hidden>
Subject: Re: Cannot get "contrail-command-deployer" repo

Hi Mithun,

My launchpad id is <email address hidden><mailto:<email address hidden>>. Can I access to the repo? Or should I create new ID with <email address hidden>?

Thanks
/Charlie

From: Mithun Mistry <email address hidden>
Date: Tuesday, August 21, 2018 at 3:46 AM
To: Stella Chen <email address hidden>, "<email address hidden>" <email address hidden>, ask-contrail-fabric <email address hidden>
Subject: Re: Cannot get "contrail-command-deployer" repo

Hi Stella ,

contrail-command-deployer repo is private repo and you need access to clone it .
I have added you to contrail group in github Juniper organisation . so you will be able to clone the repo once you accept the invite and add your pub key in github.

You need to submit your changes to this repo by raising a review in private gerrit https://review.contrail.juniper.net/#/admin/projects/Juniper/contrail-command-deployer
I have also provided you access to private gerrit instance.
If you are not sure how to create reviews from command line let me know . its same as review.opencontrail.org .
Please let me know if you face any issues .

Regards,

Mithun

From: Stella Chen <email address hidden>
Date: Tuesday, 21 August 2018 at 12:47 PM
To: ask-contrail <email address hidden>, ask-contrail-fabric <email address hidden>
Subject: Cannot get "contrail-command-deployer" repo

Hi experts,

Could you please guide me on getting access to the repo “contrail-command-deployer”?
From my side:

$ git clone https://github.com/Juniper/contrail-command-deployer.git

Cloning into 'contrail-command-deployer'...

remote: Repository not found.

fatal: repository 'https://github.com/Juniper/contrail-command-deployer.git/' not found

Thanks & best regards,
Stella

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers